Advanced Data
This page describes the API methods that help you pull information about the completed orders.
Note
This functionality is exclusively accessible with paid subscriptions. Verify whether your plan includes this feature, upgrade if necessary, or reach out to us for assistance.
Note
Before calling any of the methods on this page, you must obtain a valid authorization token. To learn about obtaining an authorization token, please read the Authentication section.
List event orders
Returns a list of all the orders that have been completed.
HTTP request
POST https://l.oveit.com/api/crm/orders
Request parameters
| Parameter | Description |
|---|---|
token |
A valid access token, obtained in the Authentication step. |
include |
Specify the fields you wish to export, allowing for multiple fields separated by commas. Below, you can find a list of all possible inclusions. see Includes. |
p |
Page number. |
Includes
| Parameter | Description |
|---|---|
invoices |
include invoices for every order |
tickets |
include tickets issued for every order |
customer_form |
include customer form for every order |
registration_form |
include registration form for every ticket issued |
event |
include event details for every ticket issued |
ticket_type |
include ticket type details for every ticket issued |
addons |
include addons for every ticket issued |
wallet_credit |
include wallet credit for every ticket issued |
customer |
include customer info for every order |
items |
include order items info for every order |
Response example
{
"data": [
{
"id": 1,
"uuid": "830583df-002d-4004-b98f-d28d18b04629",
"date": "2024-01-30T15:06:02+02:00",
"date_formatted": "Jan 30, 2024, at 15:06",
"language": "en",
"currency": "EUR",
"payment_processor": null,
"status": "Completed",
"is_canceled": false,
"pending_reason": null,
"email": "[email protected]",
"items": [
{
"name": "Event with Registration Form (Free)",
"quantity": "1",
"currency": "EUR",
"type": "ticket",
"price_without_tax": "0.00",
"price_tax": "0.00",
"fee_without_tax": "0.00",
"fee_tax": "0.00",
"discount": "0.00",
"final_price": "0.00",
"event": {
"name": "Event with Registration Form",
"hash": "e3aefd2bf9",
"location": "Studio4",
"has_venue": false,
"starts_at": null,
"ends_at": null,
"is_perpetual": true
},
"ticket_type": {
"name": "Free",
"has_nft": false,
"is_seatless": false
}
},
{
"name": "Event with Registration Form (VIP Ticket)",
"quantity": "1",
"currency": "EUR",
"type": "ticket",
"price_without_tax": "1.69",
"price_tax": "0.32",
"fee_without_tax": "0.17",
"fee_tax": "0.03",
"discount": "0.00",
"final_price": "2.22",
"event": {
"name": "Event with Registration Form",
"hash": "e3aefd2bf9",
"location": "Studio4",
"has_venue": false,
"starts_at": null,
"ends_at": null,
"is_perpetual": true
},
"ticket_type": {
"name": "VIP Ticket",
"has_nft": false,
"is_seatless": false
}
}
],
"customer": {
"name": "Oveit Developer",
"is_company": false,
"tax_code": null,
"address": "115 Wild Basin Rd. S Ste 307",
"city": "Austin",
"state": "Texas",
"state_code": "TX",
"country": "United States",
"country_code": "US"
},
"customer_form": [
{
"name": "Type",
"value": "Online"
}
],
"tickets": [
{
"code": "fca326c2",
"event": {
"name": "Event with Registration Form",
"hash": "e3aefd2bf9",
"location": "Studio4",
"has_venue": false,
"starts_at": null,
"ends_at": null,
"is_perpetual": true
},
"ticket_type": {
"name": "VIP Ticket",
"has_nft": false,
"is_seatless": false
},
"series": "DDD 18",
"seat": null,
"registration_form": [
{
"name": "Name",
"value": "Oveit Attendee"
},
{
"name": "Position",
"value": "Developer"
}
],
"wallet_credit": {
"amount": 0,
"currency": "EUR"
},
"addons": [
{
"name": "Beer",
"uses": 2
}
]
},
{
"code": "4ffc47ce",
"event": {
"name": "Event with Registration Form",
"hash": "e3aefd2bf9",
"location": "Studio4",
"has_venue": false,
"starts_at": null,
"ends_at": null,
"is_perpetual": true
},
"ticket_type": {
"name": "Free",
"has_nft": false,
"is_seatless": false
},
"series": "EFD 2",
"seat": null,
"registration_form": [
{
"name": "Name",
"value": "Oveit Attendee2"
},
{
"name": "Position",
"value": "Developer"
}
],
"wallet_credit": {
"amount": 0,
"currency": "EUR"
},
"addons": null
}
],
"invoice": [
{
"name": "Invoice - Oveit Developer - Nr. OVEIT 007",
"number": "OVEIT 7",
"items": [
{
"name": "Event with Registration Form (VIP Ticket)",
"quantity": 1,
"currency": "EUR",
"unit_net_price": "1.69",
"unit_tax_price": "0.32",
"total_price": "2.02"
},
{
"name": "Event with Registration Form (Free)",
"quantity": 1,
"currency": "EUR",
"unit_net_price": "0.00",
"unit_tax_price": "0.00",
"total_price": "0.00"
},
{
"name": "Online processing fee",
"quantity": 1,
"currency": "EUR",
"unit_net_price": "0.17",
"unit_tax_price": "0.03",
"total_price": "0.20"
}
],
"statements": [
"VAT exempt, according to Directive 2006/112/EC"
],
"download_link": "https://l.test.oveit.com/orders/download_invoice",
"currency": "EUR",
"net_price": "1.86",
"tax_price": "0.35",
"total_price": "2.22",
"is_canceled": false,
"is_paid": true,
"is_reversed": false,
"is_reverse": false,
"status": "paid"
}
]
}
],
"next_page": 2,
"prev_page": null,
"total_items": 123,
"total_pages": 7
}
Notes:
- The next_page field is set to
nullwhen there is no next page available. - The prev_page field is set to
nullwhen there is no previous page available. - Each request can retrieve a maximum of 20 items in the order list. Please utilize the
pparameter to navigate through the entire list. - The
dateattribute is a date formatted using the complete ISO 8601 format.
List event tickets
Returns a list of all the tickets that have been issued.
HTTP request
POST https://l.oveit.com/api/crm/tickets
Request parameters
| Parameter | Description |
|---|---|
token |
A valid access token, obtained in the Authentication step. |
include |
Specify the fields you wish to export, allowing for multiple fields separated by commas. Below, you can find a list of all possible inclusions. see Includes. |
p |
Page number. |
Includes
| Parameter | Description |
|---|---|
registration_form |
include registration form for every ticket issued |
event |
include event details for every ticket issued |
ticket_type |
include ticket type details for every ticket issued |
addons |
include addons for every ticket issued |
wallet_credit |
include wallet credit for every ticket issued |
Response example
{
"data": [
{
"code": "fca326c2",
"event": {
"name": "Event with Registration Form",
"hash": "e3aefd2bf9",
"location": "Studio4",
"has_venue": false,
"starts_at": null,
"ends_at": null,
"is_perpetual": true
},
"ticket_type": {
"name": "VIP Ticket",
"has_nft": false,
"is_seatless": false
},
"series": "DDD 18",
"seat": null,
"registration_form": [
{
"name": "Name",
"value": "Oveit Attendee"
},
{
"name": "Position",
"value": "Developer"
}
],
"wallet_credit": {
"amount": 0,
"currency": "EUR"
},
"addons": [
{
"name": "Beer",
"uses": 2
}
]
}
],
"next_page": 2,
"prev_page": null,
"total_items": 123,
"total_pages": 7
}
Notes:
- The next_page field is set to
nullwhen there is no next page available. - The prev_page field is set to
nullwhen there is no previous page available. - Each request can retrieve a maximum of 20 items in the order list. Please utilize the
pparameter to navigate through the entire list.
List payments
Returns the most recent payments covered by a payment webhook event, newest first. Each item has the
same properties as the data of that event (see Payment Data Object),
so it can be handled by the same code as the webhook.
HTTP request
POST https://l.oveit.com/api/crm/payments
Request parameters
| Parameter | Description |
|---|---|
token |
A valid access token, obtained in the Authentication step. |
event |
Required. payment.create, payment.cancel or payment.refund. |
p |
Page number. |
Events
| Event | Payments listed | Newest first by |
|---|---|---|
payment.create |
Confirmed payments on house account orders, including those voided or refunded since | payment.created_at |
payment.cancel |
Voided bank transfers and checks on house account orders | payment.updated_at |
payment.refund |
Refunded Shift4 payments on house account orders and refunded online orders paid through Shift4, with the refund |
refund.refunded_at |
Payments are in their current state, as on the webhooks. The same scope applies: payments that never send a payment event, such as Retail Cloud tenders, are not listed.
Response example
{
"data": [
{
"payment": {
"id": 77,
"source": "online",
"processor": "shift4",
"method": "card",
"status": "partially_refunded",
"amount": "119.00",
"refunded_amount": "20.00",
"currency": "EUR",
"reference": "char_3d8fa1b2c4e5",
"created_at": "2026-10-01T09:00:00+03:00",
"updated_at": "2026-11-05T12:00:00+02:00"
},
"refund": {
"amount": "20.00",
"currency": "EUR",
"type": "partial",
"notes": "Parking was closed",
"credit_note_id": 901,
"refunded_at": "2026-11-05T12:00:00+02:00"
},
"order": {
"id": 2,
"uuid": "6f1c2a9e-0d5b-4c1e-9a43-2b7e8f0c1d22",
"status": "complete",
"...": "same properties as the order data object"
}
}
],
"next_page": null,
"prev_page": null,
"total_items": 1,
"total_pages": 1
}
Notes:
- The next_page field is set to
nullwhen there is no next page available. - The prev_page field is set to
nullwhen there is no previous page available. - Each request can retrieve a maximum of 20 items in the payment list. Please utilize the
pparameter to navigate through the entire list. refundis only present wheneventispayment.refund.